From 1487d925f1eabcf2f0c864041eaeb84f37c059c5 Mon Sep 17 00:00:00 2001
From: William Brown <wibrown@redhat.com>
Date: Thu, 12 May 2016 16:51:28 +1000
Subject: [PATCH 8/8] Ticket 48797 - Add freebsd support to ns-slapd: Configure

Description:  Update the configure scripts and parts for FreeBSD

https://fedorahosted.org/389/ticket/48797

Author: wibrown

Reviewed by: ???
---
 Makefile.in       |   74 +-
 aclocal.m4        | 1179 +++++++++++-
 config.guess      |   34 +-
 config.h.in       |  134 +-
 config.sub        |   23 +-
 configure         | 4796 +++++++++++++++++++++++++++++++---------------
 ltmain.sh         | 5528 ++++++++++++++++++++++++++++++++++-------------------
 m4/kerberos.m4    |   22 +-
 m4/libtool.m4     | 2555 ++++++++++++++-----------
 m4/ltoptions.m4   |  127 +-
 m4/ltsugar.m4     |    7 +-
 m4/ltversion.m4   |   12 +-
 m4/lt~obsolete.m4 |    7 +-
 13 files changed, 9725 insertions(+), 4773 deletions(-)

diff --git a/config.h.in b/config.h.in
index ea9369b..dbc2488 100644
--- a/config.h.in
+++ b/config.h.in
@@ -66,12 +66,39 @@
 /* enable the presence plugin */
 #undef ENABLE_PRESENCE
 
+/* FreeBSD */
+#undef FREEBSD
+
 /* have 64-bit atomic bool compare and swap function provided by gcc */
 #undef HAVE_64BIT_ATOMIC_CAS_FUNC
 
 /* have 64-bit atomic operation functions provided by gcc */
 #undef HAVE_64BIT_ATOMIC_OP_FUNCS
 
+/* Define to 1 if you have the `argz_add' function. */
+#undef HAVE_ARGZ_ADD
+
+/* Define to 1 if you have the `argz_append' function. */
+#undef HAVE_ARGZ_APPEND
+
+/* Define to 1 if you have the `argz_count' function. */
+#undef HAVE_ARGZ_COUNT
+
+/* Define to 1 if you have the `argz_create_sep' function. */
+#undef HAVE_ARGZ_CREATE_SEP
+
+/* Define to 1 if you have the <argz.h> header file. */
+#undef HAVE_ARGZ_H
+
+/* Define to 1 if you have the `argz_insert' function. */
+#undef HAVE_ARGZ_INSERT
+
+/* Define to 1 if you have the `argz_next' function. */
+#undef HAVE_ARGZ_NEXT
+
+/* Define to 1 if you have the `argz_stringify' function. */
+#undef HAVE_ARGZ_STRINGIFY
+
 /* Define to 1 if you have the <arpa/inet.h> header file. */
 #undef HAVE_ARPA_INET_H
 
@@ -81,23 +108,47 @@
 /* Define to 1 if you have the `clock_gettime' function. */
 #undef HAVE_CLOCK_GETTIME
 
+/* Define to 1 if you have the `closedir' function. */
+#undef HAVE_CLOSEDIR
+
+/* Define to 1 if you have the declaration of `cygwin_conv_path', and to 0 if
+   you don't. */
+#undef HAVE_DECL_CYGWIN_CONV_PATH
+
 /* Define to 1 if you have the declaration of `strerror_r', and to 0 if you
    don't. */
 #undef HAVE_DECL_STRERROR_R
 
-/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
-   */
+/* Define to 1 if you have the <dirent.h> header file. */
 #undef HAVE_DIRENT_H
 
+/* Define if you have the GNU dld library. */
+#undef HAVE_DLD
+
+/* Define to 1 if you have the <dld.h> header file. */
+#undef HAVE_DLD_H
+
+/* Define to 1 if you have the `dlerror' function. */
+#undef HAVE_DLERROR
+
 /* Define to 1 if you have the <dlfcn.h> header file. */
 #undef HAVE_DLFCN_H
 
+/* Define to 1 if you have the <dl.h> header file. */
+#undef HAVE_DL_H
+
 /* Define to 1 if you don't have `vprintf' but do have `_doprnt.' */
 #undef HAVE_DOPRNT
 
+/* Define if you have the _dyld_func_lookup function. */
+#undef HAVE_DYLD
+
 /* Define to 1 if you have the `endpwent' function. */
 #undef HAVE_ENDPWENT
 
+/* Define to 1 if the system has the type `error_t'. */
+#undef HAVE_ERROR_T
+
 /* Define to 1 if you have the <fcntl.h> header file. */
 #undef HAVE_FCNTL_H
 
@@ -143,6 +194,12 @@
 /* have the function ldap_url_parse_no_defaults */
 #undef HAVE_LDAP_URL_PARSE_NO_DEFAULTS
 
+/* Define if you have the libdl library or equivalent. */
+#undef HAVE_LIBDL
+
+/* Define if libdlloader will be built on this platform */
+#undef HAVE_LIBDLLOADER
+
 /* Define to 1 if you have the `localtime_r' function. */
 #undef HAVE_LOCALTIME_R
 
@@ -150,6 +207,12 @@
    zero-length file name argument. */
 #undef HAVE_LSTAT_EMPTY_STRING_BUG
 
+/* Define this if a modern libltdl is already installed */
+#undef HAVE_LTDL
+
+/* Define to 1 if you have the <mach-o/dyld.h> header file. */
+#undef HAVE_MACH_O_DYLD_H
+
 /* Define to 1 if your system has a GNU libc compatible `malloc' function, and
    to 0 otherwise. */
 #undef HAVE_MALLOC
@@ -187,15 +250,27 @@
 /* Define to 1 if you have the <netinet/in.h> header file. */
 #undef HAVE_NETINET_IN_H
 
+/* Define to 1 if you have the `opendir' function. */
+#undef HAVE_OPENDIR
+
+/* Define if libtool can extract symbol lists from object files. */
+#undef HAVE_PRELOADED_SYMBOLS
+
 /* Define to 1 if you have the `putenv' function. */
 #undef HAVE_PUTENV
 
+/* Define to 1 if you have the `readdir' function. */
+#undef HAVE_READDIR
+
 /* Define to 1 if you have the `rmdir' function. */
 #undef HAVE_RMDIR
 
 /* Define to 1 if you have the `setrlimit' function. */
 #undef HAVE_SETRLIMIT
 
+/* Define if you have the shl_load function. */
+#undef HAVE_SHL_LOAD
+
 /* Define to 1 if you have the `socket' function. */
 #undef HAVE_SOCKET
 
@@ -239,6 +314,12 @@
 /* Define to 1 if you have the <string.h> header file. */
 #undef HAVE_STRING_H
 
+/* Define to 1 if you have the `strlcat' function. */
+#undef HAVE_STRLCAT
+
+/* Define to 1 if you have the `strlcpy' function. */
+#undef HAVE_STRLCPY
+
 /* Define to 1 if you have the `strncasecmp' function. */
 #undef HAVE_STRNCASECMP
 
@@ -258,6 +339,9 @@
    */
 #undef HAVE_SYS_DIR_H
 
+/* Define to 1 if you have the <sys/dl.h> header file. */
+#undef HAVE_SYS_DL_H
+
 /* Define to 1 if you have the <sys/file.h> header file. */
 #undef HAVE_SYS_FILE_H
 
@@ -274,6 +358,9 @@
 /* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
+/* Define to 1 if you have the <sys/sysinfo.h> header file. */
+#undef HAVE_SYS_SYSINFO_H
+
 /* Define to 1 if you have the <sys/time.h> header file. */
 #undef HAVE_SYS_TIME_H
 
@@ -298,6 +385,9 @@
 /* Define to 1 if you have the `vprintf' function. */
 #undef HAVE_VPRINTF
 
+/* This value is set to 1 to indicate that the system argz facility works */
+#undef HAVE_WORKING_ARGZ
+
 /* Define to 1 if `fork' works. */
 #undef HAVE_WORKING_FORK
 
@@ -347,19 +437,43 @@
    slash. */
 #undef LSTAT_FOLLOWS_SLASHED_SYMLINK
 
-/* Define to the sub-directory in which libtool stores uninstalled libraries.
-   */
+/* Define if the OS needs help to load dependent libraries for dlopen(). */
+#undef LTDL_DLOPEN_DEPLIBS
+
+/* Define to the system default library search path. */
+#undef LT_DLSEARCH_PATH
+
+/* The archive extension */
+#undef LT_LIBEXT
+
+/* The archive prefix */
+#undef LT_LIBPREFIX
+
+/* Define to the extension used for runtime loadable modules, say, ".so". */
+#undef LT_MODULE_EXT
+
+/* Define to the name of the environment variable that determines the run-time
+   module search path. */
+#undef LT_MODULE_PATH_VAR
+
+/* Define to the sub-directory where libtool stores uninstalled libraries. */
 #undef LT_OBJDIR
 
+/* Define to the shared library suffix, say, ".dylib". */
+#undef LT_SHARED_EXT
+
+/* Define to the shared archive member specification, say "(shr.o)". */
+#undef LT_SHARED_LIB_MEMBER
+
 /* Linux */
 #undef Linux
 
+/* Define if dlsym() requires a leading underscore in symbol names. */
+#undef NEED_USCORE
+
 /* no getdomainname */
 #undef NO_DOMAINNAME
 
-/* Define to 1 if your C compiler doesn't accept -c and -o together. */
-#undef NO_MINUS_C_MINUS_O
-
 /* OS version */
 #undef OSVERSION
 
@@ -444,6 +558,9 @@
 /* SVID_GETTOD */
 #undef _SVID_GETTOD
 
+/* Define so that glibc/gnulib argp.h does not typedef error_t. */
+#undef __error_t_defined
+
 /* SVR4 */
 #undef __svr4
 
@@ -453,6 +570,9 @@
 /* Define to empty if `const' does not conform to ANSI C. */
 #undef const
 
+/* Define to a type to use for 'error_t' if it is not otherwise available. */
+#undef error_t
+
 /* Define to `int' if <sys/types.h> doesn't define. */
 #undef gid_t
 
diff --git a/m4/kerberos.m4 b/m4/kerberos.m4
index a82f57a..0c51828 100644
--- a/m4/kerberos.m4
+++ b/m4/kerberos.m4
@@ -102,7 +102,19 @@ if test -n "$with_kerberos" ; then
     fi
 fi
 
+dnl check for Heimdal Kerberos
+AC_CHECK_HEADERS(heim_err.h)
+if test $ac_cv_header_heim_err_h = yes ; then
+    krb5_impl=heimdal
+    AC_DEFINE(HAVE_HEIMDAL_KERBEROS, 1,
+        [define if you have HEIMDAL Kerberos])
+
+else
+    krb5_impl=mit
+fi
+
 if test -n "$with_kerberos" -a -z "$kerberos_lib" ; then
+    AC_MSG_RESULT([Checking with kerberos and kerberos_lib])
     # save these in order to set them to use the check macros below
     # like AC_CHECK_HEADERS, AC_CHECK_LIB, and AC_CHECK_FUNCS
     save_CPPFLAGS="$CPPFLAGS"
@@ -113,13 +125,6 @@ if test -n "$with_kerberos" -a -z "$kerberos_lib" ; then
     if test -n "$kerberos_libdir" ; then
         LDFLAGS="-L$kerberos_libdir $LDFLAGS"
     fi
-    krb5_impl=mit
-
-    dnl check for Heimdal Kerberos
-    AC_CHECK_HEADERS(heim_err.h)
-    if test $ac_cv_header_heim_err_h = yes ; then
-        krb5_impl=heimdal
-    fi
 
     if test "x$krb5_impl" = "xmit"; then
         AC_CHECK_LIB(k5crypto, main,
@@ -143,9 +148,6 @@ if test -n "$with_kerberos" -a -z "$kerberos_lib" ; then
             [have_krb5=no],
             [-l$krb5crypto -lasn1 -lroken -lcom_err])
 
-        AC_DEFINE(HAVE_HEIMDAL_KERBEROS, 1,
-            [define if you have HEIMDAL Kerberos])
-
     else
         have_krb5=no
         AC_MSG_WARN([Unrecognized Kerberos5 Implementation])
